/**
 * Copyright 2010 Nicholas Blair, Eric Dalquist
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.googlecode.ehcache.annotations.config;

/**
 * Enum to represent the result of the {@link CacheNameMatcher#matches(String)} method.
 * 
 * @author Nicholas Blair
 * @version $Id: Vote.java 431 2010-06-11 20:43:48Z eric.dalquist@gmail.com $
 */
public enum Vote {

	YEA,
	NAY,
	ABSTAIN;
	
	/**
	 * If the argument equals {@link Vote#ABSTAIN}, return {@link Vote#ABSTAIN}.
	 * Otherwise, return the opposite:
	 * <ul>
	 * <li>{@link Vote#YEA} returns {@link Vote#NAY}</li>
	 * <li>{@link Vote#NAY} returns {@link Vote#YEA}</li>
	 * </ul>
	 * 
	 * @param vote
	 * @return
	 */
	public static Vote not(final Vote vote) {
	    switch (vote) {
	        case ABSTAIN:
	            return ABSTAIN;
	        case YEA:
                return NAY;
            default:
                return YEA;
	    }
	}
}
